post
https://api.ashbyhq.com/customField.setValue
Set the value of a custom field for a given object.
Note: When updating multiple custom fields on the same object, use
customField.setValues instead to avoid
race conditions.
Note: To set custom fields on an Employee, use user.setCustomFieldValue instead.
The values accepted in the fieldValue param depend on the type of field that's being updated. See below for more details:
- Boolean - A boolean value
- Date - An ISO Date string
- LongText, String - String
- ValueSelect - A string that matches the value of one of the ValueSelect field's options
- MultiValueSelect - An array of strings that exist in the MultiValueSelect field's options
- Number - A number
- Currency - An object with the following properties:
- value: A number
- currencyCode: A valid ISO 4217 currency code
- NumberRange - An object with the following properties:
- type: "number-range"
- minValue: A number
- maxValue: A number
- CompensationRange - An object with the following properties:
- type: "compensation-range"
- minValue: A number
- maxValue: A number
- currencyCode: A string
- interval: A valid interval string
- Url - A valid http or https URL (e.g., https://example.com)
- UUID - A valid UUID string (e.g., for Employee fields)
Requires the candidatesWrite permission.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…

